import { request } from 'umi';

/** 设备类型列表  */
export async function GetDeviceVesionPage(data) {
     return request(`/saasbase/api/devicevesion/page`, {
      method: 'POST',
      data: data,
    });
  }
    /** 添加设备类型  */
export async function AddDeviceVesion(data) {
    return request(`/saasbase/api/devicevesion/add`, {
     method: 'POST',
     data: data,
     // params: { ...params },
     // ...(options || {}),
   });
 }

   /** 删除设备类型  */
export async function DelDeviceVesion(data) {
    return request(`​/saasbase/api/devicevesion/delete`, {
     method: 'POST',
     data: data,
   });
 }

   /** 修改设备类型  */
export async function UpdateDeviceVesion(data) {
    return request(`​/saasbase/api/devicevesion/update`, {
     method: 'POST',
     data: data,
   });
 }
 export async function UpdateStatus(data) {
  return request(`​/saasbase/api/devicevesion/updatestatus`, {
   method: 'POST',
   data: data,
 });
}
 /**获取设备类型 */
export async function GetDicList(TypeCode) {
    return request(`/saasbase/api/dict-data/dic-list/${TypeCode}`, {
      method: 'Get',
    });
  }

  export async function GetCosRequestURL(data) {
    return request(`/saasbase/api/systemconfig/GetCosRequestSignURL`, {
     method: 'POST',
     data: data,
   });
  }